search cancel

isqlcli and CS-LIBRARY errors when running Enterprise Security Manager Sybase application modules on Sybase version 16

book

Article ID: 174350

calendar_today

Updated On:

Products

Control Compliance Suite Windows

Issue/Introduction

 When running Sybase modules against a Sybase 16 system you are receiving isql library errors.  These errors are not occurring with similar configurations running on Sybase 15.7.

 

 

Connection failure: Error: [1] isqlcli::runIsql(): CS-LIBRARY error:;

 

Cause

Changes in extended encryption in Sybase 16 causing module failures.

 

Environment

Enterprise Security Manager (ESM) 11.1 or later running latest Sybase module (v4.2) against target Sybase version 16 database with Extended Encryption turned on.

Extended Encryption configured on Sybase as well as on ESM agent Sybase modules.

 

 

Resolution

A quick fix for ESM 11.1 and higher versions Sybase modules was created  for Linux to address this issue.

ESM_v11.x_10131_4191496_&_4178632_QF is available for patching the ESM Sybase application module binaries. This QF is in the form of a liveupdate package that can be pushed to ESM agents automatically during job runs of the Sybase modules.  The liveupdate package will need to be staged on the ESM manager using the ESM console liveupdate function.  Once staged a job run of the Sybase module will push the updated binaries to the Linux agent.
 

 

Attachments

ESM_v11.x_10131_4191496_&_4178632_QF.zip get_app
esmsyb.tpi get_app